<script>
import { GlFormSelect } from "@gitlab/ui";

export default {
  components: { GlFormSelect },
  props: {
    milestones: Array,
    currentMilestone: String,
    hideLabel: {
      type: Boolean,
      default: false,
    },
  },
  data() {
    return {
      options: this.milestones.map((milestone) => {
        return milestone.title;
      }),
    };
  },
  methods: {
    milestoneChanged(value) {
      this.$emit("milestoneChanged", value);
    },
  },
};
</script>

<template>
  <div class="gl-flex gl-items-center gl-gap-3">
    <label v-if="!hideLabel" class="gl-m-0" for="milestone">Milestone</label>
    <gl-form-select
      :options="options"
      aria-label="Milestone"
      name="milestone"
      width="xs"
      id="milestone"
      :value="currentMilestone"
      @change="milestoneChanged"
    />
  </div>
</template>
